package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

public class StudentRepair {
    private Integer id;
    /**
    * 维修单号
    */
    @ApiModelProperty(value = "维修单号", required = false)
    private String transNo;

    /**
    * 分部id
    */
    @ApiModelProperty(value = "分部id", required = false)
    private Integer organId;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "乐团id", required = false)
    private String musicGroupId;


    /**
    * 分部名称
    */
    @ApiModelProperty(value = "分部名称", required = false)
    private String organName;

    /**
    * 学生id
    */
    @ApiModelProperty(value = "学生id", required = true)
    private Integer studentId;

    /**
    * 学生姓名
    */
    @ApiModelProperty(value = "学生姓名", required = false)
    private String studentName;

    /**
    * 学生学校
    */
    @ApiModelProperty(value = "学生学校", required = false)
    private String studentSchool;

    /**
    * 技师id
    */
    @ApiModelProperty(value = "技师id", required = false)
    private Integer employeeId;

    /**
     * 技师名字
     */
    @ApiModelProperty(value = "技师名字", required = false)
    private String employeeName;

    /**
     * 技师电话
     */
    @ApiModelProperty(value = "技师电话", required = false)
    private String employeePhone;

    /**
     * 技师联系地址
     */
    @ApiModelProperty(value = "技师联系地址", required = false)
    private String employeeAddress;

    /**
    * 乐器类型id
    */
    @ApiModelProperty(value = "乐器类型id", required = false)
    private Integer subjectId;

    /**
    * 乐器类型名称
    */
    @ApiModelProperty(value = "乐器类型名称", required = false)
    private String subjectName;

    /**
    * 维修类型 0-线下 1-线上
    */
    @ApiModelProperty(value = "维修类型 0-线下 1-线上", required = false)
    private Integer type;

    /**
    * 乐器编号
    */
    @ApiModelProperty(value = "乐器编号", required = false)
    private String instrumentNo;

    /**
     * 费用组成
     */
    @ApiModelProperty(value = "费用组成", required = false)
    private String feeList;

    /**
    * 问题描述及解决方法
    */
    @ApiModelProperty(value = "问题描述及解决方法", required = false)
    private String description;

    /**
    * 维修金额
    */
    @ApiModelProperty(value = "维修金额", required = false)
    private BigDecimal amount;

    /**
    * 维修完成时间
    */
    @ApiModelProperty(value = "维修完成时间", required = false)
    private Date finishTime;

    /**
    * 乐器取回方式 0-自取 1-快递
    */
    @ApiModelProperty(value = "乐器取回方式 0-自取 1-快递", required = false)
    private Integer sendType;

    /**
    * 联系人
    */
    @ApiModelProperty(value = "联系人", required = false)
    private String contactName;

    /**
    * 联系方式
    */
    @ApiModelProperty(value = "联系方式", required = false)
    private String contactMobile;

    /**
    * 快递地址
    */
    @ApiModelProperty(value = "快递地址", required = false)
    private String address;

    /**
    * 所选商品
    */
    @ApiModelProperty(value = "商品", required = false)
    private String goodsJson;

    /**
    * 支付状态 0-未支付 1-支付中 2-已支付
    */
    @ApiModelProperty(value = "支付状态 0-未支付 1-支付中 2-已支付", required = false)
    private Integer payStatus;

    /**
    * 维修状态 0维修中，1已完成
    */
    @ApiModelProperty(value = "维修状态 0维修中，1已完成", required = false)
    private Integer repairStatus;

    /**
     * 使用余额
     */
    @ApiModelProperty(value = "使用余额", required = false)
    private Boolean isUseBalancePayment;

    /**
    * 送修时间
    */
    @ApiModelProperty(value = "送修时间", required = true)
    private Date createTime;

    /**
    * 更新时间
    */
    @ApiModelProperty(value = "更新时间", required = false)
    private Date updateTime;

    public String getGoodsJson() {
        return goodsJson;
    }

    public void setGoodsJson(String goodsJson) {
        this.goodsJson = goodsJson;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getRepairStatus() {
        return repairStatus;
    }

    public void setRepairStatus(Integer repairStatus) {
        this.repairStatus = repairStatus;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentSchool() {
        return studentSchool;
    }

    public void setStudentSchool(String studentSchool) {
        this.studentSchool = studentSchool;
    }

    public Integer getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Integer employeeId) {
        this.employeeId = employeeId;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getInstrumentNo() {
        return instrumentNo;
    }

    public void setInstrumentNo(String instrumentNo) {
        this.instrumentNo = instrumentNo;
    }

    public String getFeeList() {
        return feeList;
    }

    public void setFeeList(String feeList) {
        this.feeList = feeList;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getEmployeePhone() {
        return employeePhone;
    }

    public void setEmployeePhone(String employeePhone) {
        this.employeePhone = employeePhone;
    }

    public String getEmployeeAddress() {
        return employeeAddress;
    }

    public void setEmployeeAddress(String employeeAddress) {
        this.employeeAddress = employeeAddress;
    }

    public Boolean getIsUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setIsUseBalancePayment(Boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }
}